OpenNMS API 1.2.9

## org.opennms.web.authenticate
Class Authentication

    java.lang.Object
      org.opennms.web.authenticate.Authentication

public final class Authentication
extends java.lang.Object

An uninstantiatable class that provides a servlet container-independent interface to the authentication system and a list of useful constants.

Author:
  Lawrence Karnowski , OpenNMS

Field Summary
`static java.lang.String` `ADMIN_ROLE` The name of the role defined for administrators in the web.xml file.
`static org.apache.log4j.Category` `log` The Log4J category for logging web authentication messages.
`static java.lang.String` `USER_ROLE` The name of the role defined for users in the web.xml file.

Constructor Summary
`private` `Authentication()` Private, empty constructor so this class cannot be instantiated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    public static org.apache.log4j.Category log

  The Log4J category for logging web authentication messages.

### USER_ROLE

    public static final java.lang.String USER_ROLE

  The name of the role defined for users in the web.xml file.

  See Also:
    Constant Field Values

### ADMIN_ROLE

    public static final java.lang.String ADMIN_ROLE

  The name of the role defined for administrators in the web.xml file.

  See Also:
    Constant Field Values

Constructor Detail

### Authentication

    private Authentication()

  Private, empty constructor so this class cannot be instantiated.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.